
Foreman - Bug #14705

Trying to change internal password authentication to LDAP for all the users but unable to do from

hammer CLI.
Target version:    
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1312208

Description of problem:

Trying to change from internal password authentication to LDAP for all the users but unable to do from  hammer CLI.

---------------------------------------

The Authorized by:   field is blank

---------------------------------------

However, it is defined and can see it from the WEB GUI

lsalnymrhnap01.bloomberg.com /usr/lib/systemd/system # hammer -u satadmin user info --login schang187

[Foreman] Password for satadmin:

Id:                   6

Login:                schang187

Name:                 Sam Chang

Email:                schang187@bloomberg.net

Admin:                yes

Authorized by:

Last login:           2016/02/24 18:42:11

Default organization:

Default location:

Roles:

Access Insights Admin

Access Insights Viewer

Boot disk access

Discovery Manager

Discovery Reader

Edit hosts

Edit partition tables

Manager

Red Hat Access Logs

Site manager

Tasks Manager

Tasks Reader

View hosts

Viewer

Anonymous

User groups:

Organizations:

BLOOMBERG

Created at:           2016/02/24 17:34:54

Updated at:           2016/02/24 18:42:11

Version-Release number of selected component (if applicable):
Satellite 6.1

How reproducible:

Always

Actual results:

Authorized by field is blank

Expected results:

It should show correct authentication source : Internal or LDAP-name

Related issues:

Has duplicate Hammer CLI - Bug #7468: hammer cli does not list authorized typ... Closed 09/16/2014

History

#1 - 04/19/2016 04:59 AM - Dominic Cleal

- Status changed from New to Assigned

I'm not clear on what the bug here is, are you reporting a bug against the authorised/auth source field in the info command or an issue with updating

auth sources?

(Changing to assigned if you're working on something.)

#2 - 12/09/2016 05:59 AM - Daniel Lobato Garcia

Sorry, it was just a dup of #7468

#3 - 12/09/2016 05:59 AM - Daniel Lobato Garcia

- Has duplicate Bug #7468: hammer cli does not list authorized type info for a user other than internal added

#4 - 12/09/2016 06:00 AM - Daniel Lobato Garcia

- Status changed from Assigned to Duplicate
